public class Node implements Comparable {
	private int order;

	public Node(int order) {
		setOrder(order);
	}

	protected void setOrder(int order) {
		this.order = order;
	}

	public int getOrder() {
		return order;
	}

	public String toString() {
		return String.valueOf(getOrder());
	}

	public int compareTo(Object o) {
		return order - ((Node) o).order;
	}
}
